# ASCII keys

u_Nul		 = 0x00
u_BackSpace	 = 0x08
u_Tab		 = 0x09
u_Linefeed	 = 0x0a
u_Return	 = 0x0d
u_Escape	 = 0x1b
u_Delete	 = 0x7f

u_Space	         = 0x20
u_Exclamation	 = 0x21
u_Exclam	 = u_Exclamation
u_DoubleQuote	 = 0x22
u_QuoteDbl       = u_DoubleQuote
u_NumberSign	 = 0x23
u_Hash		 = u_NumberSign
u_Dollar	 = 0x24
u_Percent	 = 0x25
u_Ampersand	 = 0x26
u_Apostrophe	 = 0x27
u_ParenLeft	 = 0x28
u_ParenRight	 = 0x29
u_Asterisk	 = 0x2a
u_Star		 = u_Asterisk
u_Plus		 = 0x2b
u_Comma	         = 0x2c
u_Minus	         = 0x2d
u_Period	 = 0x2e
u_Slash	         = 0x2f
u_0		 = 0x30
u_1		 = 0x31
u_2		 = 0x32
u_3		 = 0x33
u_4		 = 0x34
u_5		 = 0x35
u_6		 = 0x36
u_7		 = 0x37
u_8		 = 0x38
u_9		 = 0x39
u_Colon	         = 0x3a
u_Semicolon	 = 0x3b
u_Less		 = 0x3c
u_Equal	         = 0x3d
u_Greater	 = 0x3e
u_Question       = 0x3f
u_At		 = 0x40
u_A	         = 0x41
u_B		 = 0x42
u_C		 = 0x43
u_D		 = 0x44
u_E		 = 0x45
u_F		 = 0x46
u_G		 = 0x47
u_H		 = 0x48
u_I		 = 0x49
u_J		 = 0x4a
u_K		 = 0x4b
u_L		 = 0x4c
u_M		 = 0x4d
u_N		 = 0x4e
u_O		 = 0x4f
u_P		 = 0x50
u_Q		 = 0x51
u_R		 = 0x52
u_S		 = 0x53
u_T		 = 0x54
u_U		 = 0x55
u_V		 = 0x56
u_W		 = 0x57
u_X		 = 0x58
u_Y		 = 0x59
u_Z		 = 0x5a
u_BracketLeft	 = 0x5b
u_BackSlash	 = 0x5c
u_BracketRight	 = 0x5d
u_Circumflex	 = 0x5e
u_Hat		 = u_Circumflex
u_Underscore	 = 0x5f
u_Grave	         = 0x60
u_a		 = 0x61
u_b		 = 0x62
u_c		 = 0x63
u_d		 = 0x64
u_e		 = 0x65
u_f		 = 0x66
u_g		 = 0x67
u_h	         = 0x68
u_i		 = 0x69
u_j		 = 0x6a
u_k		 = 0x6b
u_l		 = 0x6c
u_m		 = 0x6d
u_n		 = 0x6e
u_o		 = 0x6f
u_p	         = 0x70
u_q	         = 0x71
u_r		 = 0x72
u_s		 = 0x73
u_t		 = 0x74
u_u		 = 0x75
u_v	         = 0x76
u_w		 = 0x77
u_x		 = 0x78
u_y		 = 0x79
u_z		 = 0x7a
u_BraceLeft	 = 0x7b
u_Bar		 = 0x7c
u_Pipe		 = u_Bar
u_BraceRight	 = 0x7d
u_Tilde	         = 0x7e

u_NoBreakSpace	 = 0xa0
u_NBSP		 = u_NoBreakSpace
u_ExclamDown	 = 0xa1
u_Cent		 = 0xa2
u_Sterling	 = 0xa3
u_Pound          = u_Sterling
u_Currency	 = 0xa4
u_Yen		 = 0xa5
u_BrokenBar	 = 0xa6
u_Section	 = 0xa7
u_Diaeresis	 = 0xa8
u_Umlaut	 = u_Diaeresis
u_Copyright	 = 0xa9
u_OrdFeminine	 = 0xaa
u_GuillemotLeft  = 0xab
u_NotSign	 = 0xac
u_SoftHyphen	 = 0xad
u_Registered	 = 0xae
u_Macron	 = 0xaf
u_Degree         = 0xb0
u_PlusMinus	 = 0xb1
u_TwoSuperior	 = 0xb2
u_ThreeSuperior  = 0xb3
u_Acute	         = 0xb4
u_Mu		 = 0xb5
u_Micro          = u_Mu
u_Paragraph	 = 0xb6
u_Pilcrow	 = u_Paragraph
u_PeriodCentered = 0xb7
u_MiddleDot	 = u_PeriodCentered
u_Cedilla	 = 0xb8
u_OneSuperior	 = 0xb9
u_mKuline	 = 0xba
u_GuillemotRight = 0xbb
u_OneQuarter     = 0xbc
u_OneHalf        = 0xbd
u_ThreeQuarters  = 0xbe
u_QuestionDown   = 0xbf
u_Agrave         = 0xc0
u_Aacute         = 0xc1
u_Acircumflex    = 0xc2
u_Atilde         = 0xc3
u_Adiaeresis     = 0xc4
u_Aumlaut        = u_Adiaeresis
u_Aring	         = 0xc5
u_AE	         = 0xc6
u_Ccedilla       = 0xc7
u_Egrave         = 0xc8
u_Eacute         = 0xc9
u_Ecircumflex    = 0xca
u_Ediaeresis     = 0xcb
u_Eumlaut        = u_Ediaeresis
u_Igrave         = 0xcc
u_Iacute         = 0xcd
u_Icircumflex    = 0xce
u_Idiaeresis     = 0xcf
u_Iumlaut        = u_Idiaeresis
u_ETH	         = 0xd0
u_Ntilde         = 0xd1
u_Ograve         = 0xd2
u_Oacute         = 0xd3
u_Ocircumflex    = 0xd4
u_Otilde         = 0xd5
u_Odiaeresis     = 0xd6
u_Oumlaut        = u_Odiaeresis
u_Multiply       = 0xd7
u_Ooblique       = 0xd8
u_Ugrave         = 0xd9
u_Uacute         = 0xda
u_Ucircumflex    = 0xdb
u_Udiaeresis     = 0xdc
u_Uumlaut        = u_Udiaeresis
u_Yacute         = 0xdd
u_THORN	         = 0xde
u_ssharp         = 0xdf
u_agrave         = 0xe0
u_aacute         = 0xe1
u_acircumflex    = 0xe2
u_atilde         = 0xe3
u_adiaeresis     = 0xe4
u_aumlaut        = u_adiaeresis
u_aring          = 0xe5
u_ae	         = 0xe6
u_ccedilla       = 0xe7
u_egrave         = 0xe8
u_eacute         = 0xe9
u_ecircumflex    = 0xea
u_ediaeresis     = 0xeb
u_eumlaut        = u_ediaeresis
u_igrave         = 0xec
u_iacute         = 0xed
u_icircumflex    = 0xee
u_idiaeresis     = 0xef
u_iumlaut        = u_idiaeresis
u_eth	         = 0xf0
u_ntilde         = 0xf1
u_ograve         = 0xf2
u_oacute         = 0xf3
u_ocircumflex    = 0xf4
u_otilde         = 0xf5
u_odiaeresis     = 0xf6
u_oumlaut        = u_odiaeresis
u_Division       = 0xf7
u_oslash         = 0xf8
u_ugrave         = 0xf9
u_uacute         = 0xfa
u_ucircumflex    = 0xfb
u_udiaeresis     = 0xfc
u_uumlaut        = u_udiaeresis
u_yacute         = 0xfd
u_thorn          = 0xfe
u_ydiaeresis     = 0xff
u_yumlaut        = u_ydiaeresis
